libzypp 17.37.10

UserWantedPackages.cc File Reference
`#include <iostream>`
`#include <zypp/base/Logger.h>`
`#include <zypp/ui/UserWantedPackages.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/ui/Selectable.h>`
`#include <zypp/ResObjects.h>`
`#include <zypp/ZYppFactory.h>`
`#include <zypp/ResPoolProxy.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::ui

## Typedefs
using | zypp::ui::PoolProxyIterator = ResPoolProxy::const_iterator

## Functions
static ResPoolProxy | zypp::ui::poolProxy ()
template<class T>
PoolProxyIterator | zypp::ui::poolProxyBegin ()
template<class T>
PoolProxyIterator | zypp::ui::poolProxyEnd ()
static PoolProxyIterator | zypp::ui::pkgBegin ()
static PoolProxyIterator | zypp::ui::pkgEnd ()
static PoolProxyIterator | zypp::ui::patchesBegin ()
static PoolProxyIterator | zypp::ui::patchesEnd ()
template<typename T>
bool | zypp::ui::contains (const std::set< T > &container, T search)
static void | zypp::ui::addDirectlySelectedPackages (set< string > &pkgNames)
template<class PkgSet_T>
void | zypp::ui::addPkgSetPackages (set< string > &pkgNames)
static void | zypp::ui::addPatchPackages (set< string > &pkgNames)
set< string > | zypp::ui::userWantedPackageNames () ZYPP_API
| This returns a set of package names the user explicitly wanted to transact ( to install, to update, or to delete) for any of the following reasons:

## Detailed Description

Author
  Stefan Hundhammer sh@su.nosp@m.se.d.nosp@m.e

Definition in file UserWantedPackages.cc.